MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002362VCMIGUI - Otherpublic2016-01-02 11:422016-02-19 10:25
ReporterKantor 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98f 
Target VersionFixed in Version0.98g 
Summary0002362: Spell book doesn't work correctly for garrisoned hero
DescriptionWhen hero is in town garrison, adventure spells in his spell book like View Earth/Ait are castable.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006245)
SXX (administrator)
2016-01-02 23:25
edited on: 2016-01-02 23:27

Is there any reason to not make them castable except may be dimension door?

Though even in case of dimension door it's looks reasonable to keep it like that as long as it's works correctly. This looks okay because in most cases switch between garrison and visit cost nothing anyway. Other question what to do if exit blocked by ally hero.

(0006246)
Kantor (updater)
2016-01-03 09:02

For View Air/Earth are GUI issues.
(0006247)
SXX (administrator)
2016-01-03 16:03

Ah. Then it's need to be disabled. Though I think it's then reasonable to forbid adventure spell casting when hero garrisoned on server-side as well.
(0006394)
vmarkovtsev (developer)
2016-01-31 17:01

https://github.com/vcmi/vcmi/pull/187 [^]

- Issue History
Date Modified Username Field Change
2016-01-02 11:42 Kantor New Issue
2016-01-02 23:25 SXX Note Added: 0006245
2016-01-02 23:27 SXX Note Edited: 0006245 View Revisions
2016-01-03 09:02 Kantor Note Added: 0006246
2016-01-03 16:03 SXX Note Added: 0006247
2016-01-31 15:21 vmarkovtsev Assigned To => vmarkovtsev
2016-01-31 15:21 vmarkovtsev Status new => assigned
2016-01-31 17:01 vmarkovtsev Note Added: 0006394
2016-02-19 10:25 SXX Status assigned => resolved
2016-02-19 10:25 SXX Fixed in Version => 0.98g
2016-02-19 10:25 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean